%define name scid
%define version 3.6.1
%define release 2mdk

Summary: Shane's Chess Information Database is a free chess database
Name: %{name}
Version: %{version}
Release: %{release}
Group: Games/Boards
Source: %{name}-%{version}.tar.bz2
#http://twtelecom.dl.sourceforge.net/sourceforge/scid/scid-%{PACKAGE_VERSION}.tar.gz
Source10: scid-16.png
Source11: scid-32.png
Source12: scid-48.png
Patch0:	scid-add_proto.patch.bz2
URL: http://scid.sourceforge.net
BuildRequires: tcl tk XFree86-devel zlib1-devel
License: GPL
BuildRoot: %{_tmppath}/%{name}-root

%description
Scid (Shane's Chess Information Database) is a free chess database
application for Unix and Microsoft Windows operating systems.

Scid converts to and from PGN (Portable Game Notation) format, which
is the standard for text-based chess information exchange, but uses
its own fast compact format for storing files.

%prep
rm -rf $RPM_BUILD_ROOT
%setup
perl -pi~ -e 's@/usr/local/share@%{_datadir}@g' tcl/start.tcl
%patch0
chmod -R go+rX ./

%build
./configure BINDIR=%{_bindir} SHAREDIR=%{_datadir}/scid TCL_INCLUDE=-I%{_includedir} TCL_LIBRARY='-L%{_libdir} -ltcl$(TCL_VERSION) -ldl' TK_LIBRARY='$(TCL_LIBRARY) -ltk$(TCL_VERSION) -L%{_prefix}/X11R6/%{_lib} -lX11'

make

%install
mkdir -p $RPM_BUILD_ROOT/%{_bindir} $RPM_BUILD_ROOT/%{_datadir}/scid
make BINDIR=$RPM_BUILD_ROOT/%{_bindir} \
     SHAREDIR=$RPM_BUILD_ROOT/%{_datadir}/scid install

mkdir -p $RPM_BUILD_ROOT/{%{_iconsdir},%{_miconsdir},%{_liconsdir}}
cp %SOURCE10 $RPM_BUILD_ROOT/%{_miconsdir}/%name.png
cp %SOURCE11 $RPM_BUILD_ROOT/%{_iconsdir}/%name.png
cp %SOURCE12 $RPM_BUILD_ROOT/%{_liconsdir}/%name.png

mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat > $RPM_BUILD_ROOT%{_menudir}/scid <<EOF
?package(%name): needs="x11" section="Amusement/Boards" title="Scid" longtitle="Chess games database" command="%_bindir/scid" icon="scid.png"
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}

%postun
%{clean_menus}


%files
%defattr(-,root,root)
%{_bindir}/*
%{_datadir}/scid
%{_menudir}/%name
%{_miconsdir}/%name.png
%{_iconsdir}/%name.png
%{_liconsdir}/%name.png
%doc CHANGES COPYING README THANKS bitmaps help

%changelog
* Tue Jun 15 2004 Pascal Terjan <pterjan@mandrake.org> 3.6.1-2mdk
- rebuild

* Tue Mar 02 2004 Pascal Terjan <pterjan@mandrake.org> 3.6.1-1mdk
- 3.6

* Thu Feb 26 2004 Pascal Terjan <pterjan@mandrake.org> 3.6-1mdk
- 3.6

* Sun Jan 11 2004 Pascal Terjan <pterjan@mandrake.org> 3.5-1mdk
- 3.5

* Sun Jan 11 2004 Pascal Terjan <pterjan@mandrake.org> 3.4-3mdk
- amd64 fix

* Tue Apr 08 2003 Pascal Terjan <CMoi@tuxfamily.org> 3.4-2mdk
- rebuild against new tcl

* Tue Mar 11 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 3.4-1mdk
- clean up, CMoi's packages sux (tm)
- From Pascal Terjan <CMoi@tuxfamily.org>
    - Stolen from Kayvan A. Sylvan <kayvan@sylvan.com>
    - gz -> bz2
    - Added BuildRequires XFree86-devel and zlib1-devel
    - Added menu with icon from gnome-chess
    - Forced rights so that doc are readable
